# TODO
# - there's work in progress --enable-webkit2 option enabling WebKit2/ GTK+3
%bcond_with	gtk3
Summary:	Web browser based on GTK+ WebCore
Summary(hu.UTF-8):	GTK+ WebCore alapú web-böngésző
Summary(pl.UTF-8):	Przeglądarka WWW oparta na GTK+ WebCore
Name:		midori
Version:	0.5.6
Release:	1
License:	LGPL v2+
Group:		X11/Applications/Networking
Source0:	http://midori-browser.org/downloads/%{name}_%{version}_all_.tar.bz2
# Source0-md5:	62ee86eb103b74efe71d40e343120a3c
Patch0:		homepage.patch
Patch1:		gtk-doc-path.patch
Patch2:		soversion.patch
URL:		http://midori-browser.org/
BuildRequires:	cmake >= 2.6.0
BuildRequires:	gcr-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.22.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.16.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	gtk-doc
%{!?with_gtk3:BuildRequires:	gtk-webkit-devel >= 1.5.1}
%{?with_gtk3:BuildRequires:	gtk-webkit3-devel}
BuildRequires:	intltool
BuildRequires:	libnotify-devel
BuildRequires:	libsoup-devel >= 2.30.0
BuildRequires:	libsoup-gnome-devel >= 2.30.0
%{!?with_gtk3:BuildRequires:	libunique-devel >= 0.9}
%{?with_gtk3:BuildRequires:	libunique3-devel}
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	libzeitgeist-devel >= 0.3.14
BuildRequires:	pkgconfig
#BuildRequires:	pkgconfig(Xss)
#BuildRequires:	pkgconfig(gcr-3-gtk2) >= 2.32
#BuildRequires:	pkgconfig(hildon-1)
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.6.19
BuildRequires:	vala >= 0.14
BuildRequires:	vala-zeitgeist1
BuildRequires:	xorg-lib-libX11-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	/sbin/ldconfig
Requires:	hicolor-icon-theme
Provides:	wwwbrowser
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Midori is a lightweight GTK+ 2 web browser based on GTK+ WebCore. It
features tabs, windows and session management, bookmarks stored with
XBEL, searchbox based on OpenSearch, and user scripts support.

%description -l hu.UTF-8
Midori egy pehelysúlyú GTK+ 2 webböngésző GTK+ WebCore alapokon.
Lehetőségei között fülek (tabok), ablak és munkafolyamat kezelés,
könyvjelzők tárolása XBEL-lel, OpenSearch-ön alapuló keresődoboz és
felhasználói szkript támogatás van.

%description -l pl.UTF-8
Midori to lekka przeglądarka dla GTK+ 2 oparta na GTK+ WebCore.
Obsługuje panele, okienka, zarządzanie sesjami, zakładki przechowywane
przy użyciu XBEL, okno wyszukiwania oparte na OpenSearch oraz skrypty
użytkownika.

%package apidocs
Summary:	API documentation of midori
Summary(pl.UTF-8):	Dokumentacja API midori
Group:		Documentation
Requires:	gtk-doc-common
Provides:	midori-api-doc
Obsoletes:	midori-api-doc

%description apidocs
API documentation of midori.

%description apidocs -l pl.UTF-8
Dokumentacja API midori.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake \
	%{?with_gtk3:-DUSE_GTK3=1} \
	-DUSE_APIDOCS=1 \
	.. \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/no

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING README TODO TRANSLATE
%attr(755,root,root) %{_bindir}/midori
%dir %{_libdir}/%{name}
%attr(755,root,root) %ghost %{_libdir}/libmidori-core.so.?
%attr(755,root,root) %{_libdir}/libmidori-core.so.*.*
%attr(755,root,root) %{_libdir}/%{name}/*.so
/etc/xdg/midori
%{_desktopdir}/midori.desktop
%{_desktopdir}/midori-private.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_datadir}/%{name}

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/katze
%{_gtkdocdir}/midori

%changelog
* Sat Jan 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/midori.git;a=log;h=master

* Wed Jan 01 2014 Elan Ruusamäe <glen@delfi.ee> 74ac8c1
- deps for ldconfig; drop bogus comment

* Wed Jan 01 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4631c4a
- added soversion.patch
- run /sbin/ldconfig in post and postun

* Wed Jan 01 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4710983
- it seems that soversion is broken

* Wed Jan 01 2014 Witold Filipczyk <witekfl@poczta.onet.pl> da36244
- up to 0.5.6
- build switched to cmake
- added gtk-doc-path.patch
- more BRs

* Wed Jan 01 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d58fc8a
- change installation path of gtk-docs

* Sun May 19 2013 witekfl <witekfl@poczta.onet.pl> e1f1d87
- 0.5.2

* Sat Apr 06 2013 witekfl <witekfl@poczta.onet.pl> 93fe9da
- added bcond gtk3. gtk2 version segfaults while adding a page to the dial, gtk3 does not.

* Sat Apr 06 2013 witekfl <witekfl@poczta.onet.pl> c2e9eb8
- up to 0.5.0

* Sat Apr 06 2013 witekfl <witekfl@poczta.onet.pl> 9d404cd
- updated for 0.5.0

* Mon Mar 11 2013 Elan Ruusamäe <glen@delfi.ee> 175dcde
- up to 0.4.9

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> a6e37a9
- drop unsupported --disable-hildon option

* Mon Feb 11 2013 Elan Ruusamäe <glen@delfi.ee> ac9158f
- fix typo in pld homepage url

* Sat Feb 09 2013 Elan Ruusamäe <glen@delfi.ee> 14b8187
- up to 0.4.8, setup default homepage to be pld

* Thu Feb 07 2013 Elan Ruusamäe <glen@delfi.ee> 90993f2
- fix doc packaging

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 29323bf
- update BR, enable/disable options to ensure stable featureset from build

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 1111718
- rm superfluous BR docutils

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 6e6b286
- up to 0.4.7

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> d9d0bb9
- release 2 (by relup.sh)

* Fri Mar 09 2012 Zsolt Udvari <uzsolt@pld-linux.org> f766e2e
- 0.4.4

* Fri Dec 23 2011 lisu <lisu@pld-linux.org> 7065011
- updated to 0.4.3

